| Home | Libraries | People | FAQ | More

##### http::basic_parser::on_field_impl

Called once for each complete field in the HTTP header.

###### Synopsis

    void
    on_field_impl(
        field name,
        string_view name_string,
        string_view value,
        error_code& ec);

###### Description

This virtual function is invoked for each field that is received while parsing an HTTP message.

###### Parameters

Name | Description
--- | ---
`name` | The known field enum value. If the name of the field is not recognized, this value will be `field::unknown`.
`name_string` | The exact name of the field as received from the input, represented as a string.
`value` | A string holding the value of the field.
`ec` | An output parameter which the function may set to indicate an error. The error will be clear before this function is invoked.